Clients

Create MagicLink auth token

Allows to create a temporary token for client authentication.

POST
/api/v2/clients/magic-link

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

Client data

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/v2/clients/magic-link" \  -H "Content-Type: application/json" \  -d '{    "clientId": 42  }'
{  "data": {    "clientId": 42,    "token": "72ba22e4e785575c747c9404294addef4b4cd46bd8eaa7acc8ab88b5f72a2b36",    "expiresAt": "2025-03-30T16:50:00+00:00"  }}
{  "error": {    "message": "Bad Request",    "code": 0,    "details": [      {        "issue": "The selected value is invalid.",        "field": "parameter"      }    ]  }}